jclassinfo(1)

NAME

jclassinfo - Provides information for Java class files.

SYNOPSIS

jclassinfo [option] {classname | filename}

DESCRIPTION

jclassinfo reads a class file and provides all sorts of information about it. file can be - then jclassinfo reads a classfile from standard input.

OPTIONS

--help
    Output help information and exit.

--version
    Output version information and exit.

--bootclasspath=<path>
    The path used to search for VM bootstrap classes.

--classpath=<path>
    The path used to search for the class if a class name is given.

--xml
    Output xml (experimental).

--all
    Prints all information for the class.

--general-info
    Prints some general information about the class.

--constant-pool
    Print constant pool.

--visibility=<public | package | protected | private | synthetic>
    The visibility to use when printing class fields/methods.

--fields
    Print fields.

--methods
    Print methods.

--disasm
    Enable code disassembly for methods (if compiled with disassembly support).

--verbose
    Show exception table and max stack and max locals for methods.

--method-debug-info
    Show line numbers and local variables for methods.

--attributes
    Print class attributes.

--packages
    Print packages referenced.

--classes
    Print classes/interfaces referenced.

--methods-ref
    Print methods referenced.

--find-class {classname}
    Find the file(s) that contains the given class(es).

--recursive
    Scan dependencies recursively.

--quiet
    Supress status messages.

FILES

No configuration files for the time being.

ENVIRONMENT

CLASSPATH is used to find classes if a class name is given instead of the filename. The --classpath option can be used to override this.

JAVA_HOME is used to find the default bootstrap classpath. The default bootstrap classes are assumed to be in JAVA_HOME/jre/lib/rt.jar. The --bootclasspath option can be used to override this.

EXAMPLES

To see what packages a class uses:

jclassinfo --packages /usr/share/java/MyClass.class

To see what packages the classes in myproject folder use:

jclassinfo --packages myproject/*.class

AUTHORS

Nicos Panayides <anarxia@gmx.net>

REPORTING BUGS

Report bugs in

http://sourceforge.net/tracker/?group_id=74004&atid=539646

SEE ALSO

javap(1), jcf-dump(1)